package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevWalkieTalkieMapper;
import com.ruoyi.project.patrol.dev.domain.TDevWalkieTalkie;
import com.ruoyi.project.patrol.dev.service.ITDevWalkieTalkieService;

/**
 * 对讲机Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TDevWalkieTalkieServiceImpl implements ITDevWalkieTalkieService 
{
    @Autowired
    private TDevWalkieTalkieMapper tDevWalkieTalkieMapper;

    /**
     * 查询对讲机
     * 
     * @param id 对讲机主键
     * @return 对讲机
     */
    @Override
    public TDevWalkieTalkie selectTDevWalkieTalkieById(Long id)
    {
        return tDevWalkieTalkieMapper.selectTDevWalkieTalkieById(id);
    }

    /**
     * 查询对讲机列表
     * 
     * @param tDevWalkieTalkie 对讲机
     * @return 对讲机
     */
    @Override
    public List<TDevWalkieTalkie> selectTDevWalkieTalkieList(TDevWalkieTalkie tDevWalkieTalkie)
    {
        return tDevWalkieTalkieMapper.selectTDevWalkieTalkieList(tDevWalkieTalkie);
    }

    /**
     * 新增对讲机
     * 
     * @param tDevWalkieTalkie 对讲机
     * @return 结果
     */
    @Override
    public int insertTDevWalkieTalkie(TDevWalkieTalkie tDevWalkieTalkie)
    {
        return tDevWalkieTalkieMapper.insertTDevWalkieTalkie(tDevWalkieTalkie);
    }

    /**
     * 修改对讲机
     * 
     * @param tDevWalkieTalkie 对讲机
     * @return 结果
     */
    @Override
    public int updateTDevWalkieTalkie(TDevWalkieTalkie tDevWalkieTalkie)
    {
        return tDevWalkieTalkieMapper.updateTDevWalkieTalkie(tDevWalkieTalkie);
    }

    /**
     * 批量删除对讲机
     * 
     * @param ids 需要删除的对讲机主键
     * @return 结果
     */
    @Override
    public int deleteTDevWalkieTalkieByIds(Long[] ids)
    {
        return tDevWalkieTalkieMapper.deleteTDevWalkieTalkieByIds(ids);
    }

    /**
     * 删除对讲机信息
     * 
     * @param id 对讲机主键
     * @return 结果
     */
    @Override
    public int deleteTDevWalkieTalkieById(Long id)
    {
        return tDevWalkieTalkieMapper.deleteTDevWalkieTalkieById(id);
    }
}
